<h1 align="center">
  d4
</h1>

<p align="center">
  D4 is an ongoing project to port the <a href="https://github.com/d3/d3">D3 JavaScript library</a> to the Dart language.
</p>

<p align="center">
  <a href="https://github.com/luizbarboza/d4/blob/main/LICENSE">
    <img src="https://img.shields.io/github/license/luizbarboza/d4" alt="license" />
  <a href="https://pub.dev/packages/d4">
    <img src="https://img.shields.io/pub/v/d4.svg" alt="pub package" />
  </a>
  <a href="https://pub.dev/packages/d4/publisher">
    <img src="https://img.shields.io/pub/publisher/d4.svg" alt="package publisher" />
  </a>
</p>

<h3 align="center">
  <a href="https://pub.dev/documentation/d4/latest/d4/d4-library.html">Documentation</a>
</h3>

**D4** brings to the Dart language and Flutter ecosystem all the power of D3 (or D3.js) — a free, open-source JavaScript library for data visualization. D4 offers a suite of low-level tool libraries that enable the creation of data-driven documents, connecting Dart and HTML, as well as dynamic and interactive visualizations for multiplatform Flutter applications — mobile, web, desktop, and embedded — from a single codebase.

See one of:

* [d4_array](https://pub.dev/packages/d4_array) - List manipulation, ordering, searching, summarizing, etc.
* [d4_color](https://pub.dev/packages/d4_color) - Color spaces! RGB, HSL, Cubehelix, CIELAB, and more.
* [d4_dsv](https://pub.dev/packages/d4_dsv) - A parser and formatter for delimiter-separated values, such as CSV and TSV.
* [d4_format](https://pub.dev/packages/d4_format) - Format numbers for human consumption.
* [d4_geo](https://pub.dev/packages/d4_geo) - Geographic projections, spherical shapes and spherical trigonometry.
* [d4_interpolate](https://pub.dev/packages/d4_interpolate) - Interpolate numbers, colors, strings, lists, maps, whatever!
* [d4_path](https://pub.dev/packages/d4_interpolate) - Serialize Canvas path commands to SVG.
* [d4_polygon](https://pub.dev/packages/d4_interpolate) - Geometric operations for two-dimensional polygons.
* [d4_random](https://pub.dev/packages/d4_interpolate) - Generate random numbers from various distributions.
* [d4_scale](https://pub.dev/packages/d4_scale) - Encodings that map abstract data to visual representation.
* [d4_scale_chromatic](https://pub.dev/packages/d4_scale_chromatic) - Sequential, diverging and categorical color scales.
* [d4_shape](https://pub.dev/packages/d4_shape) - Graphical primitives for visualization, such as lines and areas.
* [d4_time](https://pub.dev/packages/d4_time) - A calculator for humanity’s peculiar conventions of time.
* [d4_time_format](https://pub.dev/packages/d4_time_format) - Parse and format times, inspired by strptime and strftime.