/// D4 is an ongoing project to port the
/// [D3 JavaScript library](https://github.com/d3/d3) to the Dart language.
///
/// See one of:
///
/// * [d4_array](https://pub.dev/packages/d4_array) - List manipulation, ordering, searching, summarizing, etc.
/// * [d4_color](https://pub.dev/packages/d4_color) - Color spaces! RGB, HSL, Cubehelix, CIELAB, and more.
/// * [d4_dsv](https://pub.dev/packages/d4_dsv) - A parser and formatter for delimiter-separated values, such as CSV and TSV.
/// * [d4_format](https://pub.dev/packages/d4_format) - Format numbers for human consumption.
/// * [d4_geo](https://pub.dev/packages/d4_geo) - Geographic projections, spherical shapes and spherical trigonometry.
/// * [d4_interpolate](https://pub.dev/packages/d4_interpolate) - Interpolate numbers, colors, strings, lists, maps, whatever!
/// * [d4_path](https://pub.dev/packages/d4_interpolate) - Serialize Canvas path commands to SVG.
/// * [d4_polygon](https://pub.dev/packages/d4_interpolate) - Geometric operations for two-dimensional polygons.
/// * [d4_random](https://pub.dev/packages/d4_interpolate) - Generate random numbers from various distributions.
/// * [d4_scale](https://pub.dev/packages/d4_scale) - Encodings that map abstract data to visual representation.
/// * [d4_scale_chromatic](https://pub.dev/packages/d4_scale_chromatic) - Sequential, diverging and categorical color scales.
/// * [d4_shape](https://pub.dev/packages/d4_shape) - Graphical primitives for visualization, such as lines and areas.
/// * [d4_time](https://pub.dev/packages/d4_time) - A calculator for humanity’s peculiar conventions of time.
/// * [d4_time_format](https://pub.dev/packages/d4_time_format) - Parse and format times, inspired by strptime and strftime.
export "src/d4.dart";
